MongoDB::selectCollection
MongoDB::setReadPreference
MongoDB
PHP Manual

# MongoDB::setProfilingLevel

(PECL mongo >=0.9.0)

MongoDB::setProfilingLevel — Sets this database's profiling level

### Description

public int MongoDB::setProfilingLevel ( int `$level` )

This changes the current database profiling level.

This function is equivalent to running:

`<?php
public function setProfilingLevel($level) {
return $this->command(array('profile' => $level));
}
?>`

The options for level are 0 (off), 1 (queries > 100ms), and 2 (all queries). If you would like to profile queries that take longer than another time period, use the database command and pass it a second option, the number of milliseconds. For example, to profile all queries that take longer than one second, run:

`<?php
$result = $this->command(array('profile' => 1, 'slowms' => 1000));
?>`

Profiled queries will appear in the system.profile collection of this database.

### Parameters

`level`

  Profiling level.

### Return Values

Returns the previous profiling level.

### See Also

- MongoDB core docs on » profiling
- MongoDB::getProfilingLevel() - Gets this database's profiling level

MongoDB::selectCollection
MongoDB::setReadPreference
MongoDB
PHP Manual